package com.brframework.commoncms.annatotion;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author xu
 * @date 2019/10/28 10:43
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface AdminMenu {

    /**
     * 菜单名称
     * @return
     */
    String menuName();

    /**
     * 菜单跳转，如果默认，将使用系统协议
     * @return
     */
    String url() default "";

    /**
     * 图标icon
     * @return
     */
    String icon() default "";

    /**
     * 菜单显示顺序，小在前
     * @return
     */
    int order() default Integer.MAX_VALUE;

}
